Subject: Re: bug#58196: 27.0.50; ediprolog 2.2: Please upload the new version to ELPA

From: Stefan Monnier <[email-masked]>
Date: Sun, 02 Oct 2022 17:08:12 -0400

Markus Triska [2022-10-02 22:24:15] wrote:
> Stefan Monnier <[email-masked]> writes:
>> No, that's not what I'm after.  I want `git merge` to work.  So I need
>> you to merge that specific commit into your upstream repository so that
>> elpa.git can then follow your repository.  The important part is all in
>> the *meta*data, not in the file's contents.
>
> Due to other commitments, I unfortunately cannot help further with these
> issues which seem very complex to me (I do not even know what you mean
> with the *meta*data).

The metadata is the info Git saves about the history of the package.
It uses it for example to know how to do an update when you fetch updates.

> If what I provided unexpectedly no longer suffices
> to upload the latest release to ELPA (in all previous releases,
> announcing the newest version sufficed), could you please remove
> ediprolog from ELPA? It seems best not to provide an outdated version.

If you need help with Git I can do that.

I just did the merge I suggested and the result is in the
`scratch/ediprolog` branch in `elpa.git`.

So all you need to do is to merge that code into your repository, is
the following:

    cd .../where/you/keep/your/clone/of/ediprolog/
    git fetch --single-branch scratch/ediprolog git://git.sv.gnu.org/emacs/elpa.git
    git merge FETCH_HEAD

and then `git push` the result to your repository.

I appended below my signature the changes that this `merge` will apply
to your code (beside the changes to the metadata).  The `.gitignore`
file is not indispensable but is very handy for other people using your
Git repository (or its mirror in elpa.git), but the other two changes
are indispensable because GNU ELPA needs the `Version:` header to know
what is the version of your package (and when a new version is
released), and it checks the copyright headers which state that the
files are covered by copyright assignments.

        Stefan

diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000000..7aa352d86f
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,3 @@
+/ediprolog-pkg.el
+/ediprolog-autoloads.el
+*.elc
diff --git a/ediprolog.el b/ediprolog.el
index 035c7b7443..033aacd208 100644
--- a/ediprolog.el
+++ b/ediprolog.el
@@ -1,9 +1,10 @@
 ;;; ediprolog.el --- Emacs Does Interactive Prolog
 
-;; Copyright (C) 2006-2022  Markus Triska
+;; Copyright (C) 2006-2022  Free Software Foundation, Inc.
 
 ;; Author: Markus Triska <[email-masked]>
 ;; Keywords: languages, processes
+;; Version: 2.2
 ;; Homepage: https://www.metalevel.at/ediprolog/
 
 ;; This file is free software; you can redistribute it and/or modify